@import 'quasar.variables.styl'
/******************************************/
/******           BORDER          *********/
/******************************************/
// MIXIN
border(side, args...)
  if side
    border-{side} solid args
  else
    border solid args

//  CLASS
.border
  border('', 1px, $grey-brand)

.border-thick
  border('', 2px, $grey-brand)

.border-thicker
  border('', 3px, $grey-brand)

/* LEFT */
.border-left
  border('left', 1px,  $grey-brand)

.border-left-thick
  border('left', 2px,  $grey-brand)

.border-left-thicker
  border('left', 3px,  $grey-brand)

/* RIGHT */
.border-right
  border('right', 1px,  $grey-brand)

.border-right-thick
  border('right', 2px,  $grey-brand)

.border-right-thicker
  border('right', 3px,  $grey-brand)

/* TOP */
.border-top
  border('top', 1px,  $grey-brand)

.border-top-thick
  border('top', 2px,  $grey-brand)

.border-top-thicker
  border('top', 3px,  $grey-brand)

/* BOTTOM */
.border-bottom-none
  border-bottom 0

.border-bottom
  border('bottom', 1px, $grey-brand)

.border-bottom-thick
  border('bottom', 2px, $grey-brand)

.border-bottom-thicker
  border('bottom', 3px, $grey-brand)
